<?php

class BaseController extends Zend_Controller_Action
{


    public function init()
    {
        $memberSession = new Zend_Session_Namespace('member');
        if($memberSession->member) {
            $this->view->layout()->member = $memberSession->member;
        }
        $this->view->headMeta('my, list, of, cool, keywords, goes, here','keywords');
        $this->view->headTitle(Globals::getConfig()->title);
        $this->view->placeholder('Zend_Layout')->footer = $this->view->partial('footer.phtml',
                                                   null,
                                                   array('copyright'=>"(c) 2008 Cal Evans, All Rights Reserved")) ;
        return;
    }

    protected function generateToken($seed='book')
    {
        $token = md5($seed.mktime());
        $globalSession = new Zend_Session_Namespace('global_data');
        $globalSession->token = $token;
       return $token;
    }
    
    protected function tokenCheck($tokenToCheck='')
    {
        $globalSession = new Zend_Session_Namespace('global_data');
        $returnValue   = (!empty($tokenToCheck) and $tokenToCheck==$globalSession->token);
        return $returnValue;        
    }

    
} // class BaseController extends Zend_Controller_Action
