<?php
ini_set('max_execution_time',600);
$lib_paths = array();
$lib_paths[] = "c:/web/htdocs/application/";
$lib_paths[] = "c:/web/htdocs/lib/";

$inc_path = implode(PATH_SEPARATOR, $lib_paths);
set_include_path($inc_path);

require_once 'config/Globals.php';
require_once 'Zend/Loader.php';
Zend_Loader::registerAutoload();

/*
 * Misc setup
 */
ini_set('session.save_path',Globals::getConfig()->dirs->tmp);

Zend_Layout::startMvc(array('layoutPath' => Globals::getConfig()->dirs->layouts,'layout'=>'main'));
Zend_Controller_Front::getInstance()
  ->registerPlugin(new Cal_Plugin_MemberInit())
  ->setControllerDirectory('c:/web/htdocs/application/controllers/')
  ->dispatch();
