/*
 * Global Variables
 */
var Token = '<?PHP echo $this->token; ?>';
var imageList = new Array();


/*
 * Main Ajax call.
 */
var submitUrl = function()
{
    clearTable();
    newUrl=$F('url');
    payload = new Array();
    payload['url'] = Token;
    var myAjax = new Ajax.Request(
                '/api/extract/?url='+newUrl+'&token='+Token,
                {
                    method: 'GET',
                    onComplete: displayResults,
                });
} // var submitUrl = function()


/*
 * onComplete for the main Ajax call.
 */
var displayResults = function(req, json)
{
    updateToken(json.token);
    displayMessage(json.message);
    for(lcvA=0;lcvA<json.result.length;lcvA++) {
        addToTable(json.result[lcvA]);
    }
} // var displayResults = function(req, json)


/*
 * each Ajax call returns a new token. Here is where we update it.
 */
var updateToken = function(newToken)
{
    Token = newToken;
} // var updateToken = function(req, json)


/*
 * Clear the table in case this is not the first call.
 */
var clearTable = function()
{
    var mgTable = $('mainGrid');
    rowCount = mgTable.rows.length;
    for (lcvA=mgTable.rows.length;lcvA>0;lcvA--) {
        mgTable.deleteRow('mgrow_'+lcvA);
    }
}


/*
 * add a row to the table.
 */
var addToTable = function(result)
{
    var mgTable = $('mainGrid');
    var row     = mgTable.insertRow(mgTable.rows.length);
    var thisRow = mgTable.rows.length;
    row.id  = 'mgrow_'+thisRow;
    
    // key phrase
    var td      = document.createElement('td');
    var cell    = document.createTextNode(result[0]);
    td.imageurl = result[1];
    
    if(result[1].length>0) {
        td.onclick = function(){swapImage(this.imageurl);};
        td.style.backgroundColor='yellow';
    } // if(result[1].length>0)

    td.appendChild(cell);
    row.appendChild(td);
    td = null;        
    return;
} // var addToTable = function(result)


/*
 * On the click of a keyword with an image, display the image.
 */
var swapImage = function(newImage)
{
    $('imageplaceholder').innerHTML=newImage;
    return;
} // var swapImage = function(newImage)


/*
 * Each payload comes back with a message array. If there's anything
 * in it, display it.
 */
var displayMessage = function(newMessage)
{
    $('message').innerHTML='';
    if (newMessage.length>0) {
    for(lcvA=0;lcvA<newMessage.length;lcvA++) {
        $('message').innerHTML+=newMessage[lcvA]+'<br />';
    } // for(lcvA=0;lcvA<newMessage.length;lcvA++)            
        $('message').style.visibility = 'visible';
    } else {
        $('message').style.visibility = 'hidden';
    }
    return;
} // var displayMessage = function(newMessage)
