<?php
$lib_paths = array();
$lib_paths[] = "c:/web/htdocs/application";
$lib_paths[] = "c:/web/htdocs/lib";

$inc_path = implode(PATH_SEPARATOR, $lib_paths);
set_include_path($inc_path);

require_once 'Zend/Loader.php';
Zend_Loader::registerAutoload();

try
{
    $frontController = Zend_Controller_Front::getInstance();
    $frontController->throwExceptions(true);
    $frontController->setControllerDirectory('c:/web/htdocs/application/controllers/');
    $frontController ->setParam('noErrorHandler', true);    
    $frontController->dispatch();
} catch (Exception $exp) {
    $contentType = 'text/html';
    header("Content-Type: $contentType; charset=utf-8");
    echo 'an unexpected error occured.';
    echo '<h2>Unexpected Exception: ' . $exp->getMessage() . '</h2><br /><pre>';
    echo $exp->getTraceAsString();
}